Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 526716 - dev-libs/eb-4.4.1-r1: fails to build with /bin/sh -> dash
Summary: dev-libs/eb-4.4.1-r1: fails to build with /bin/sh -> dash
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: nonbash
  Show dependency tree
 
Reported: 2014-10-25 10:10 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2021-02-27 05:16 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,8.57 KB, text/plain)
2014-11-01 19:08 UTC, Ian Stakenvicius (RETIRED)
Details
gentoo-bug-526716.patch (gentoo-bug-526716.patch,744 bytes, patch)
2021-01-08 00:01 UTC, Kerin Millar
Details | Diff
0001-Allow-dev-libs-eb-to-build-with-non-bash.patch (0001-Allow-dev-libs-eb-to-build-with-non-bash.patch,1.12 KB, patch)
2021-02-10 13:19 UTC, Kerin Millar
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2014-10-25 10:10:02 UTC
https://tinderboxlogs.s3.amazonaws.com/tbamd64.excelsior.flameeyes.eu/dev-libs%3Aeb-4.4.1-r1%3A20141025-034613.html

Portage 2.2.14_rc1 (python 2.7.8-final-0, default/linux/amd64/13.0, gcc-4.9.1-asneeded, glibc-2.20, 3.15.5-hardened-r2 x86_64)
=================================================================
System uname: Linux-3.15.5-hardened-r2-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.2
KiB Mem:    65962672 total,  16391156 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Unknown
ld ld di GNU (Gentoo 2.24 p1.4) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p53
dev-java/java-config:     2.2.0
dev-lang/perl:            5.18.2-r2
dev-lang/python:          2.7.8, 3.2.5-r6, 3.3.5-r1, 3.4.1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.12.2-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.1
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.2, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.6.4, 4.7.4, 4.8.3, 4.9.1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.1
sys-kernel/linux-headers: 3.17 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openjms/config /usr/share/bufrtables /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb /var/lib/neatx/home /var/spool/torque /var/yp/Makefile"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.hoobly.com/ http://gentoo.llarian.net/"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/tinderbox/tree"
PORTDIR_OVERLAY=""
SYNC="rsync://excelsior.flameeyes.eu/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb blas bzip2 cli cracklib crypt cxx doc dri emacs ffmpeg fortran freetype iconv icu intl introspection ipv6 lapack mmx modules multilib ncurses nls nptl openmp pam pax_kernel pcre pdf plasma qt3support readline semantic-desktop session snmp sse sse2 sse3 sse4 ssl ssse3 tcmalloc tcpd truetype udev unicode vhosts xft zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Ian Stakenvicius (RETIRED) gentoo-dev 2014-11-01 19:08:11 UTC
Created attachment 388050 [details]
build.log

Autoattach of build.log -- if there are any issues with this file please add bug to tracker bug 527870
Comment 2 Ben de Groot (RETIRED) gentoo-dev 2014-11-02 04:54:01 UTC
Similar failure with mksh as /bin/sh:

config.status: creating config.h
config.status: executing depfiles commands
./config.status[2103]: shift: nothing to shift

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-libs/eb-4.4.1-r1/work/eb-4.4.1/config.log
 * ERROR: dev-libs/eb-4.4.1-r1::gentoo failed (configure phase):
 *   econf failed
Comment 3 Kerin Millar 2021-01-08 00:01:08 UTC
Created attachment 681841 [details, diff]
gentoo-bug-526716.patch

The simplest solution is to regenerate the configure file. The attached patch alters the ebuild so as to do exactly that, in addition to fixing the HOMEPAGE.
Comment 4 Kerin Millar 2021-02-10 13:19:44 UTC
Created attachment 686250 [details, diff]
0001-Allow-dev-libs-eb-to-build-with-non-bash.patch

Updating patch so that it adheres to the git email format, contains the Certificate of Origin and can be applied directly to the repo. The changes to the ebuild remain the same.
Comment 5 Sam James archtester gentoo-dev Security 2021-02-27 05:00:27 UTC
(In reply to Kerin Millar from comment #4)
> Created attachment 686250 [details, diff] [details, diff]
> 0001-Allow-dev-libs-eb-to-build-with-non-bash.patch
> 
> Updating patch so that it adheres to the git email format, contains the
> Certificate of Origin and can be applied directly to the repo. The changes
> to the ebuild remain the same.

Thank you!
Comment 6 Larry the Git Cow gentoo-dev 2021-02-27 05:16:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c38fc600296fe05f06698e21f84a7ec40a4d2aec

commit c38fc600296fe05f06698e21f84a7ec40a4d2aec
Author:     Kerin Millar <kfm@plushkava.net>
AuthorDate: 2021-02-10 13:14:49 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-02-27 04:44:53 +0000

    dev-libs/eb: Allow build with non-bash
    
    Signed-off-by: Kerin Millar <kfm@plushkava.net>
    Closes: https://bugs.gentoo.org/526716
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-libs/eb/eb-4.4.1-r1.ebuild | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)